# flowControl

Throttles the sender when the receiver queue is nearly full.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  flowControl

Scope:

  input

Type:

  boolean

Default:

  input=on

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Flow control is used to throttle the sender if the receiver queue is near-full preserving some space for input that can not be throttled.

## Input usage

    input(type="imptcp" flowControl="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.